Subject: Re: [PATCH net-next v6 10/14] net: ethernet: oa_tc6: implement receive path to receive rx ethernet frames

From: Jakub Kicinski <[email-masked]>
Date: Mon, 19 Aug 2024 15:48:38 -0700

On Mon, 19 Aug 2024 06:53:51 +0000 [email-masked]
wrote:
> > This is a bit unusual. If the core decides to drop the packet it will
> > count the drop towards the appropriate statistic. The drivers generally
> > only count their own drops, and call netif_rx() without checking the
> > return value.  
>
> The first version of this patch series didn't have this check. There was 
> a comment in the 1st version to check the return value and update the 
> statistics.
> 
> https://lore.kernel.org/lkml/[email-masked]/
> 
> That was the reason why it was introduced in the v2 of the patch series 
> itself. It seems, somehow it got escaped from your RADAR from v2 to v5 
> :D.

Sorry about that :( There's definitely a gap in terms of reviewing 
the work of reviewers :(

> Sorry, somehow I also missed to check it in the netdev core. Now I 
> understand that the rx drop handled in the core itself in the below link 
> using the function "dev_core_stats_rx_dropped_inc(skb->dev)".
> 
> https://github.com/torvalds/linux/blob/master/net/core/dev.c#L4894
> 
> Is my understanding correct? if so then I will remove this check in the 
> next version.

Yes!